MyGUI: MyGUI::delegates::DelegateFunction< Args > Class Template Reference

MyGUI 3.4.3

Public Types | Public Member Functions
MyGUI::delegates::DelegateFunction< Args > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::DelegateFunction< Args >:
[legend]

## Public Types
using | Function = std::function<void(Args...)>

## Public Member Functions
| DelegateFunction (Function _function, Any _functionPointer)
| DelegateFunction (Function _function, Any _functionPointer, const IDelegateUnlink *_object)
| DelegateFunction (Function _function, Any _functionPointer, const void *_object)
void | invoke (Args... args)
bool | compare (DelegateFunction< Args... > *_delegate) const
bool | compare (IDelegateUnlink *_unlink) const

## Detailed Description

template<typename... Args>
class MyGUI::delegates::DelegateFunction< Args >

Definition at line 42 of file MyGUI_Delegate.h.

## Member Typedef Documentation

## ◆ Function

template<typename... Args>

using MyGUI::delegates::DelegateFunction< Args >::Function = std::function<void(Args...)>

Definition at line 45 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

## ◆ DelegateFunction() [1/3]

template<typename... Args>

MyGUI::delegates::DelegateFunction< Args >::DelegateFunction | ( | Function | _function,
|  | Any | _functionPointer )
| inline

Definition at line 48 of file MyGUI_Delegate.h.

## ◆ DelegateFunction() [2/3]

template<typename... Args>

MyGUI::delegates::DelegateFunction< Args >::DelegateFunction | ( | Function | _function,
|  | Any | _functionPointer,
|  | const IDelegateUnlink * | _object )
| inline

Definition at line 55 of file MyGUI_Delegate.h.

## ◆ DelegateFunction() [3/3]

template<typename... Args>

MyGUI::delegates::DelegateFunction< Args >::DelegateFunction | ( | Function | _function,
|  | Any | _functionPointer,
|  | const void * | _object )
| inline

Definition at line 64 of file MyGUI_Delegate.h.

## Member Function Documentation

## ◆ compare() [1/2]

template<typename... Args>

bool MyGUI::delegates::DelegateFunction< Args >::compare | ( | DelegateFunction< Args... > * | _delegate | ) | const
| inline

Definition at line 76 of file MyGUI_Delegate.h.

## ◆ compare() [2/2]

template<typename... Args>

bool MyGUI::delegates::DelegateFunction< Args >::compare | ( | IDelegateUnlink * | _unlink | ) | const
| inline

Definition at line 83 of file MyGUI_Delegate.h.

## ◆ invoke()

template<typename... Args>

void MyGUI::delegates::DelegateFunction< Args >::invoke | ( | Args... | args | ) |
| inline

Definition at line 71 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h